﻿<html>
<head>
    <title>Обьекты</title>

    <script type="text/javascript">

        var employees = [];  

        do {
            var value = confirm('Will you add another employee?');

            if (!value) {
                break;
            }

            var employee = {};

            employee.name = prompt('Enter your name');

            employee.sName = prompt('Enter your SName');

            employee.age = prompt('Enter your age');

            employee.occupation = prompt('Enter your occupation');

            employee.show = function () {
                console.log('Employee:');
                console.log('Name: ' + this.name + '\n');
                console.log('SName: ' + this.sName + '\n');
                console.log('Age: ' + this.age + '\n');
                console.log('Occupation: ' + this.occupation + '\n');
            };

            employee.show();
            
            employees.push(employee);
        }

        while (value === true);

        
    </script>

</head>
<body>

    <!-- Разметка страници -->

</body>
</html>
